%define name rpm2html
%define version 1.4
%define prefix /usr

Summary: Translates an RPM database and dependency information into HTML.
Name: %{name}
Version: %{version}
Release: 7
Group: Utilities/System
Source: ftp://rpmfind.net/pub/rpm2html/%{name}-%{version}.tar.gz
Patch0: rpm2html-1.4-sig-6.patch
Patch1: rpm2html-dup.patch
URL: http://rpmfind.net/linux/rpm2html/
Copyright: W3C Copyright (BSD like).
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: rpm-devel >= 3.1-0.18 popt >= 1.6-0.18
Requires: gnupg
Prefix: %{prefix}

%description
The rpm2html utility automatically generates web pages that describe a
set of RPM packages.  The goals of rpm2html are to identify the
dependencies between various packages, and to find the package(s) that
will provide the resources needed to install a given package.
Rpm2html analyzes the provides and requires of the given set of RPMs,
and then shows the dependency cross-references using hypertext links.
Rpm2html can now dump the metadata associated with RPM files into
standard RDF files.

Install rpm2html if you want a utility for translating information
from an RPM database into HTML.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

autoconf

%build
%configure \
	--with-gpg
make

%install
rm -rf $RPM_BUILD_ROOT
install -d ${RPM_BUILD_ROOT}%{_bindir}
install -d ${RPM_BUILD_ROOT}%{_sysconfdir}
install -d ${RPM_BUILD_ROOT}%{_datadir}/rpm2html
install -d ${RPM_BUILD_ROOT}%{_mandir}/man1

install -s rpm2html ${RPM_BUILD_ROOT}%{_bindir}

for i in msg.*
do
  install $i ${RPM_BUILD_ROOT}%{_datadir}/rpm2html/
done

install rpm2html.config  ${RPM_BUILD_ROOT}%{_sysconfdir}
install rpm2html.1  ${RPM_BUILD_ROOT}%{_mandir}/man1/rpm2html.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES BUGS Copyright PRINCIPLES README TODO 
%doc rpm2html-cdrom.config rpm2html-en.config
%doc rpm2html.config.mirrors rpm2html-fr.config
%doc rpm2html.config.resources rpm2html-rdf.config
%{_bindir}/rpm2html
%{_datadir}/rpm2html/msg.*
%{_mandir}/man1/*
%config %{_sysconfdir}/rpm2html.config

%changelog
* Mon Dec 11 2000 Peter Hanecak <hanecak@megaloman.sk>
- rpm2html-dup.patch by Alexey Nogin <ayn2@cornell.edu>

* Wed Nov  8 2000 Peter Hanecak <hanecak@megaloman.sk>
- rpm2html-1.4-sig-6.patch: summary of previous patches plus typo fixes

* Tue Nov  7 2000 Peter Hanecak <hanecak@megaloman.sk>
- rpm2html-1.5-sig-speedup.patch to avoid unnecessary signature resolving

* Sun Nov 05 2000 Peter Hanecak <hanecak@megaloman.sk>
- rpm2html-1.4-sig-4.patch: summary of rpm2html-1.4-sig.patch and
  rpm2html-1.4-sig-memleak.patch plus configurable "resolving" feature
  using gnupg

* Wed Oct 25 2000 Peter Hanecak <hanecak@megaloman.sk>
- rpm2html-1.4-sig-memleak.patch by Daniel Veillard <Daniel.Veillard@w3.org>

* Tue Oct  3 2000 Peter Hanecak <hanecak@megaloman.sk>
- rpm2html-1.4-sig.patch - experimental enhancement to include package
  signature info in .html pages

* Fri Jul 28 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.4
- spec improvements

* Sun Jun 25 2000 Peter Hanecak <hanecak@megaloman.sk>
- merged stuff from RedHat's rpm2html-1.2-8
- patches ported forward
- rpm-4.0 patch
- build against rpm-4.0-0.45

* Thu Jun  1 2000 Matt Wilson <msw@redhat.com>
- use _mandir macros
- build against new librpm to get correct libbz2 deps

* Sat May 13 2000 Jeff Johnson <jbj@redhat.com>
- use rpm-3.1 API (hack).

* Tue Feb 15 2000 Jeff Johnson <jbj@redhat.com>
- fix filename lossage with rpm-3.0.4.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sat Oct 16 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 1.3
- some spec stuff from Daniel Veillard's spec

* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- recompile with rpm-3.0.3-1.

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- move to Red Hat 6.1 distribution.

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2.

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
